// Attract-Mode layout theme SDAMax
// Inspired by and hacked from the SDcaptain theme originally ported to Attract Mode by jedione and modified for the ARpiCADE by Dee2er
// Visit my blog at www.idahogaragecade.com

// layout options

class UserConfig
{ 
	</ label="Background music or none", help="Toggle music.", options="music, none", order=1 /> enable_music="none";
	</ label="Preview scroll speed", help="Adjust game preview scroll speed.", options="Fast,Normal,Slow", order=5 /> preview_speed="Normal";
	</ label="Preview scroll direction", help="Adjust game preview scroll direction.", options="Left-Right,Up-Down", order=6 /> preview_direction="Left-Right";
	</ label="Header type", help="adjust logo animation type", options="Wheel,Marquee", order=3 /> header_type="Wheel";
	</ label="Header location", help="adjust logo location", options="Left,Right,Center", order=4 /> header_location="Left";
	</ label="Header animation", help="adjust logo animation type", options="zoom,single bounce,bounce two,zoom out,slide,shadow,shadow 2", order=2 /> animation_type="shadow";
	</ label="Display Progress Bar", help="Display progress bar.", options="vertical,horizontal,none", order=9 /> progress="horizontal";
	</ label="Game Text info", help="Toggle No Title / Title / Title + Extras.", options="title,extra,false", order=7 /> title="extra";
	</ label="Include Times played info?", help="Toggle On/Off Times Played Info", options="true,false", order=8 /> label_play="true";
	</ label="Game#/Times Played Location", help="Game # & Times Played Info Location", options="top,bottom", order=9 /> label_position="bottom";
	</ label="Title Text Color", help="Color of game titles", options="yellow,red,green,blue,white", order=10 /> title_color="yellow";
	</ label="Message Text Color", help="Color of game titles", options="yellow,red,green,blue,white", order=12 /> pulse_color="yellow";
	</ label="Manufacturer Text Color", help="Color of game manufacturer", options="yellow,red,green,blue,white", order=11 /> man_color="white";
	</ label="Alt MSG#1", help="Alternate message to display under preview image.", order=13 /> msg1="Wait For Game to Coin Up"
	</ label="Message #2", help="Message to display flashing at bottom of screen.", order=14 /> msg2="Select Game With Joystick";
	</ label="Monitor rotation", help="Monitor rotation.",options="horizontal,vertical", order=15 /> rotation="vertical";
}
local my_config = fe.get_config();

// General setup

fe.layout.width=640;
fe.layout.height=480;
local flx = fe.layout.width;
local fly = fe.layout.height;
local flw = fe.layout.width;
local flh = fe.layout.height;

// Set vertical orientation

if (my_config["rotation"] == "vertical" )
{
fe.layout.orient=RotateScreen.Right;
}

// Load modules

fe.load_module("animate");
fe.do_nut ( "scripts/carrier.nut" );

// Snap carrier setup

if (my_config["preview_direction"] == "Left-Right" )
{
	if (my_config["preview_speed"] == "Fast" )
	{
		local carrier = Carrier( 0, 0, flw*1.00, flh*1.00, 1, 1, 0, 0, 0 )
		carrier.surfacePosSmoothing = 0.78
	}
	if (my_config["preview_speed"] == "Normal" )
	{
		local carrier = Carrier( 0, 0, flw*1.00, flh*1.00, 1, 1, 0, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "Slow" )
	{
		local carrier = Carrier( 0, 0, flw*1.00, flh*1.00, 1, 1, 0, 0, 0 )
		carrier.surfacePosSmoothing = 0.93
	}
}

if (my_config["preview_direction"] == "Up-Down" )
{
	if (my_config["preview_speed"] == "Fast" )
	{
		local carrier = Carrier(0, flh*-1.002, flw*1.00, flh*2.005, 2, 2, 0, 0, 0 )
		carrier.surfacePosSmoothing = 0.78
	}
	if (my_config["preview_speed"] == "Normal" )
	{
		local carrier = Carrier(0, flh*-1.002, flw*1.00, flh*2.005, 2, 2, 0, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "Slow" )
	{
		local carrier = Carrier( 0, flh*-1.002, flw*1.00, flh*2.005, 2, 2, 0, 0, 0 )
		carrier.surfacePosSmoothing = 0.93
	}
}
	
// Videotheme timer Code by qqplayer

::OBJECTS1 <- {
artwork_videotheme = fe.add_artwork("snap", flx*0.00, fly*0.00, flw*1.00, flh*1.00),
}

OBJECTS1.artwork_videotheme.visible=false;

::videoSound <- Vid.NoAudio;
OBJECTS1.artwork_videotheme.video_flags = videoSound;

local settings = {
   delay_timer = 0,
   play_delay = 2000,
   stop_play = 235000,
}

function on_transition_videotheme( ttype, var, ttime ) {
 switch ( ttype ) {
  case Transition.StartLayout:
  case Transition.ToNewSelection:
  case Transition.ToNewList:
  case Transition.EndNavigation:
        OBJECTS1.artwork_videotheme.video_flags = Vid.NoAutoStart;
        settings.delay_timer = fe.layout.time;
        OBJECTS1.artwork_videotheme.visible=false;
       break;
  }
 return false;
}

fe.add_transition_callback( "on_transition_videotheme" );

function on_tick_videotheme(tick_time) {
   if ( !OBJECTS1.artwork_videotheme.video_playing && tick_time - settings.delay_timer >= settings.play_delay ) {
   
        OBJECTS1.artwork_videotheme.video_playing = true;
        
        ::videoSound <- Vid.Default;
        OBJECTS1.artwork_videotheme.video_flags = videoSound;        
        
        OBJECTS1.artwork_videotheme.visible=true;
        
        OBJECTS1.artwork_videotheme.alpha = 0
        local alpha_artwork_videotheme_0 = {
        property = "alpha", start = 0 end = 255, time = 500 easing = Easing.Out,
        }
 
        animation.add( PropertyAnimation( OBJECTS1.artwork_videotheme, alpha_artwork_videotheme_0 ) );       
    }
    
    else if ( tick_time - settings.delay_timer >= settings.stop_play ) {
        
        OBJECTS1.artwork_videotheme.visible=false;      
    }
}

fe.add_ticks_callback(this, "on_tick_videotheme");

// Wheel or marquee

	if (my_config["header_location"] == "Right" )
	{
	local artx = flx*0.515;
	local arty = fly*0.050;
	local artz = fly*0.125;
	
if (my_config["animation_type"] == "shadow 2" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.507, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.507, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 255;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}	
	
	if (my_config["animation_type"] == "shadow" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", flx*0.507, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.507, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}	
	
	if (my_config["animation_type"] == "zoom" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}
	
if (my_config["animation_type"] == "bounce two" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
		
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
}

if (my_config["animation_type"] == "single bounce" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
	
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
}

if (my_config["animation_type"] == "slide" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = arty,
			time = 350 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = arty,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}

if (my_config["animation_type"] == "zoom out" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.5,
			end = 1.0,
			time = 1000,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}

	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}
}

if (my_config["header_location"] == "Left" )
	{
	local artx = flx*0.085;
	local arty = fly*0.050;
	local artz = fly*0.145;
	
if (my_config["animation_type"] == "shadow 2" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.077, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.077, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 255;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}	
	
	if (my_config["animation_type"] == "shadow" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", flx*0.077, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.077, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}	
	
if (my_config["animation_type"] == "zoom" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}
	
if (my_config["animation_type"] == "bounce two" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
		
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
}

if (my_config["animation_type"] == "single bounce" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
	
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
}

if (my_config["animation_type"] == "slide" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = arty,
			time = 350 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = arty,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}

if (my_config["animation_type"] == "zoom out" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.5,
			end = 1.0,
			time = 1000,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}

	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}
}

if (my_config["header_location"] == "Center" )
	{
	local artx = flx*0.30;
	local arty = fly*0.050;
	local artz = fly*0.145;

if (my_config["animation_type"] == "shadow 2" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.293, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.293, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 255;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}		
	
if (my_config["animation_type"] == "shadow" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", flx*0.293, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", flx*0.293, fly*0.038, flw*0.415, flh*0.210 );
		marquee.set_rgb (0,0,0);
		marquee.alpha = 150;
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0300,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0300 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}	
	
if (my_config["animation_type"] == "zoom" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}
	
if (my_config["animation_type"] == "bounce two" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
		
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
}

if (my_config["animation_type"] == "single bounce" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
	
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	}
}

if (my_config["animation_type"] == "slide" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = arty,
			time = 350 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = arty,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}

if (my_config["animation_type"] == "zoom out" )
{
	if (my_config["header_type"] == "Wheel" )
	{
		local marquee = fe.add_artwork( "wheel", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.5,
			end = 1.0,
			time = 1000,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}

	if (my_config["header_type"] == "Marquee" )
	{
		local marquee = fe.add_artwork( "marquee", artx, arty, flw*0.400, flh*0.185 );
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = artz,
			end = arty,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
}
}


// Text bits

if (my_config["label_play"] == "true" )
{
	if (my_config["label_position"] == "top" )
	{
	local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.004, fly*0.034, flw*1.000, flh*0.050 );
		label_play.align = Align.Right;
		label_play.font = "captain";
		label_play.charsize = 17.5;
		label_play.alpha = 255;
		label_play.set_rgb ( 0, 0, 0 );
	local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.000, fly*0.030, flw*1.000, flh*0.050 );
		label_play.align = Align.Right;
		label_play.font = "captain";
		label_play.charsize = 17.5;
		label_play.alpha = 255;
	}
	if (my_config["label_position"] == "bottom" )
	{
	local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.004, fly*0.943, flw*1.000, flh*0.050 );
		label_play.align = Align.Right;
		label_play.font = "captain";
		label_play.charsize = 17.5;
		label_play.alpha = 255;
		label_play.set_rgb ( 0, 0, 0 );
	local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.000, fly*0.939, flw*1.000, flh*0.050 );
		label_play.align = Align.Right;
		label_play.font = "captain";
		label_play.charsize = 17.5;
		label_play.alpha = 255;
	}
}

local pulse = fe.add_text( my_config["msg2"], flx*0.004, fly*0.884, flw*1.000, flh*0.050 );
local pulse_text_cfg = {
	when =Transition.ToNewList,
	property = "alpha",
	start = 0, 
	end = 150,
	time = 1000,
	tween = Tween.Quad,
	pulse = true,
	font = "captain",
}
animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
pulse.font = "captain";
pulse.charsize = 20;
pulse.alpha= 255;
pulse.set_rgb ( 0 , 0 , 0 );
	
local pulse = fe.add_text( my_config["msg2"], flx*0.000, fly*0.880, flw*1.000, flh*0.050 );
	local pulse_text_cfg = {
		when =Transition.ToNewList,
		property = "alpha",
		start = 50, 
		end = 255,
		time = 1000,
		tween = Tween.Quad,
		pulse = true,
		font = "captain",
}
	
if (my_config["pulse_color"] == "red" )
{	
	animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
	pulse.font = "captain";
	pulse.charsize = 20;
	pulse.alpha= 255;
	pulse.set_rgb ( 255 , 0 , 0 );
}
if (my_config["pulse_color"] == "green" )
{	
	animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
	pulse.font = "captain";
	pulse.charsize = 20;
	pulse.alpha= 255;
	pulse.set_rgb ( 0 , 255 , 0 );
}
if (my_config["pulse_color"] == "blue" )
{	
	animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
	pulse.font = "captain";
	pulse.charsize = 20;
	pulse.alpha= 255;
	pulse.set_rgb ( 0 , 0 , 255 );
}			
if (my_config["pulse_color"] == "white" )
{	
	animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
	pulse.font = "captain";
	pulse.charsize = 20;
	pulse.alpha= 255;
	pulse.set_rgb ( 255 , 255 , 255 );
}	
if (my_config["pulse_color"] == "yellow" )
{	
	animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
	pulse.font = "captain";
	pulse.charsize = 20;
	pulse.alpha= 255;
	pulse.set_rgb ( 255 , 255 , 0 );
}	

	
if (my_config["title"] == "extra" )
{
	local text = fe.add_text("[Title]", flx*0.004, fly*0.768, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 0 , 0 , 0 );
	if (my_config["title_color"] == "yellow" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.764, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 255 , 255 , 0 );
}
if (my_config["title_color"] == "red" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.764, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 255 , 0 , 0 );
}
if (my_config["title_color"] == "blue" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.764, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 0 , 0 , 255 );
}
if (my_config["title_color"] == "green" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.764, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 0 , 255 , 0 );
}
if (my_config["title_color"] == "white" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.764, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 255 , 255 , 255 );
}

	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.004, fly*0.834, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 23;
	text.set_rgb ( 0 , 0 , 0 );
	
if (my_config["man_color"] == "white" )
	{
	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.000, fly*0.830, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 23;
	text.set_rgb ( 255 , 255 , 255 );
	text.alpha = 255;
	}
if (my_config["man_color"] == "red" )
	{
	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.000, fly*0.830, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 23;
	text.set_rgb ( 255 , 0 , 0 );
	text.alpha = 255;
	}
if (my_config["man_color"] == "green" )
	{
	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.000, fly*0.830, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 23;
	text.set_rgb ( 0 , 255 , 0 );
	text.alpha = 255;
	}
if (my_config["man_color"] == "blue" )
	{
	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.000, fly*0.830, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 23;
	text.set_rgb ( 0 , 0 , 255 );
	text.alpha = 255;
	}
if (my_config["man_color"] == "yellow" )
	{
	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.000, fly*0.830, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 23;
	text.set_rgb ( 255 , 255 , 0 );
	text.alpha = 255;
	}	
if (my_config["label_play"] == "true" )
	{
		if (my_config["label_position"] == "top" )
		{
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.004, fly*0.034, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 17.5;
		text.alpha = 255;
		text.set_rgb ( 0, 0, 0);
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.000, fly*0.030, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 17.5;
		text.alpha = 255;
		}
		if (my_config["label_position"] == "bottom" )
		{
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.004, fly*0.943, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 17.5;
		text.alpha = 255;
		text.set_rgb ( 0, 0, 0 );
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.000, fly*0.939, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 17.5;
		text.alpha = 255;
		}
	}
if (my_config["label_play"] == "false" )
	{
		if (my_config["label_position"] == "top" )
		{
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.004, fly*0.034, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 17.5;
		text.set_rgb ( 0, 0, 0 );	
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.000, fly*0.030, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 17.5;
		text.alpha = 255;
		}
		if (my_config["label_position"] == "bottom" )
		{
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.004, fly*0.943, flw*1.000, flh*0.050 );
		text.font="captain";
		text.charsize = 17.5;
		text.alpha = 255;
		text.set_rgb ( 0, 0, 0 );
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.000, fly*0.939, flw*1.000, flh*0.050 );
		text.font="captain";
		text.charsize = 18;
		text.alpha = 255;
		}
	}	
}

if (my_config["title"] == "title" )
{
	local text = fe.add_text("[Title]", flx*0.004, fly*0.824, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 0 , 0 , 0 );
	
if (my_config["title_color"] == "yellow" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.820, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 255 , 255 , 0 );
}
if (my_config["title_color"] == "red" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.820, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 255 , 0 , 0 );
}
if (my_config["title_color"] == "blue" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.820, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 0 , 0 , 255 );
}
if (my_config["title_color"] == "green" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.820, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 0 , 255 , 0 );
}
if (my_config["title_color"] == "white" )
{	
	local text = fe.add_text("[Title]", flx*0.000, fly*0.820, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 35;
	text.set_rgb ( 255 , 255 , 255 );
}
}

if (my_config["title"] == "false" )
{	
	local text = fe.add_text( my_config["msg1"], flx*0.000, fly*0.815, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 32;
	text.alpha = 255;
}

// Progress bar original code by MarkC74

if (my_config["progress"] == "vertical" )
{
	fe.add_artwork( "bar", -flx*0.012, fly*0.00, flw*0.083, flh*1.00 );
		local 	list_inc = fly*0.765 / (fe.list.size-1);	
		local 	current_pos = flx*0.108 + (fe.list.index * list_inc);
		local 	list_pos_image = fe.add_image( "circle.png", flx*0.004 , current_pos, flw*0.055, flh*0.078 );
		local 	list_label = fe.add_text( "[Title]",flx*0.014, current_pos, flw*0.038, flh*0.073);
			list_label.font="captain"
	function progress_bar( ttype, var, ttime )
		{
			current_pos = fly*0.073 + (fe.list.index*list_inc);
			list_pos_image.y = current_pos+3;
			list_label.y = current_pos;	
			return false;
		}
	fe.add_transition_callback( "progress_bar" );
}

if (my_config["progress"] == "horizontal" )
{
	fe.add_artwork( "bar_h", flx*0.00, fly*0.93, flw*1.00, flh*0.083 );
		local 	list_inc = fly*0.805 / (fe.list.size-1);
		local 	current_pos = flx*0.100 + (fe.list.index * list_inc);
		local 	list_pos_image = fe.add_image( "circle.png", current_pos, fly*0.940, flw*0.032, flh*0.055 );
		local 	list_label = fe.add_text( "[Title]",current_pos, fly*0.939, flw*0.0375, flh*0.050);
			list_label.font="captain"
			
	function progress_bar( ttype, var, ttime )	
		{
			current_pos = flx*0.179 + (fe.list.index*list_inc);
			list_pos_image.x = current_pos+2;
			list_label.x = current_pos;	
			return false;
		}
	fe.add_transition_callback( "progress_bar" );
}

// Background music if selected

if ( my_config["enable_music"] == "none" )
{
	local mysong = fe.add_sound("")
}
if ( my_config["enable_music"] == "music" )
{
	local mysong = fe.add_sound("music/music.mp3");
	mysong.loop = true;
	mysong.playing = true;
}

// game select sound

function select_sound( ttype, var, ttime ) {
 switch ( ttype ) {

  case Transition.ToNewSelection:
	      local sound = fe.add_sound("game.mp3");
	      sound.playing=true;
  break;
  }
 return false;
}
fe.add_transition_callback( "select_sound" );